# docker-smtp-relay

[![Build Status](https://drone.asperti.com/api/badges/paspo/docker-smtp-relay/status.svg)](https://drone.asperti.com/paspo/docker-smtp-relay)

SMTP relay for specific domains

## available tags

| tag          | description                         |
| ------------ | ----------------------------------- |
| latest       | multi-arch manifest                 |
| latest-amd64 | latest build for amd64 architecture |
| latest-arm64 | latest build for arm64 architecture |

## build

```bash
docker build . -t docker.asperti.com/paspo/smtp-relay
```

## run

With `docker compose`:

```yaml
services:
  relay:
    image: docker.asperti.com/paspo/smtp-relay:latest
    restart: always
    container_name: smtp-relay
    volumes:
      - ./config:/config
    environment:
      - MYHOSTNAME=smtprelay.mydomain.com
    ports:
      - 25:25
    logging:
      options:
        max-size: 10m
```
